Bug 1334799 - F23/F24 - pam_yubico upgrade fails, incorrect use of REQUIRES
Summary: F23/F24 - pam_yubico upgrade fails, incorrect use of REQUIRES
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pam_yubico
Version: 23
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Nick Bebout
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-10 14:33 UTC by Gerald Cox
Modified: 2016-07-02 23:49 UTC (History)
5 users (show)

Fixed In Version: pam_yubico-2.23-1.fc24 pam_yubico-2.23-1.fc22 pam_yubico-2.23-1.fc23 pam_yubico-2.23-1.el6 pam_yubico-2.23-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-23 17:54:34 UTC


Attachments (Terms of Use)

Description Gerald Cox 2016-05-10 14:33:19 UTC
Description of problem:

dnf upgrade fails because current version of ykclient is 2.15
I tried to keep this from being pushed to stable.

As reported in rhbz#1265220 and bodhi:

Spec file incorrectly specifies:  
Requires:       ykclient > 2.15

This statement should be removed.  It is not needed because you already have:
BuildRequires:  ykclient-devel >= 2.15

Requires:  Is only used when the dependency is required at run time but NOT at build time.  Since ykclient is required for the build, you shouldn't specify Requires. 

It only adds additional unneeded complexity to the Spec file and introduces the chance for errors (such as this one).

Version-Release number of selected component (if applicable):
pam_yubico-2.21-2.fc23
pam_yubico-2.21-2.fc24
pam_yubico-2.21-2.fc25

Comment 1 Paul DeStefano 2016-05-10 18:10:30 UTC
Uh, see bug 1312659 and bug 1318120.  Isn't this the same thing I reported two months ago?

Comment 2 Gerald Cox 2016-05-10 18:25:15 UTC
(In reply to Paul DeStefano from comment #1)
> Uh, see bug 1312659 and bug 1318120.  Isn't this the same thing I reported
> two months ago?

No, bug 1312650 was about a dependency for ykclient 2.15 that I opened.  Bug 1318120 is about fallout caused by bug 1312650.  ykclient has now been upgraded.

This bug is about an incorrect REQUIRES statement in the spec file for pam_yubico which is preventing the upgrade to 2.21-2.  The REQUIRES statement needs to be removed.  It shouldn't be there.  BuildRequires takes care of the dependency.  You only use the REQUIRES when there isn't a corresponding BuildRequires.  In this case, the REQUIRES (which shouldn't be there in the first place) specifies > 2.15; since ykclient is = to 2.15 and not > than 2.15 the upgrade fails.  The BuildRequires statement is correct:  >= 2.15

To fix this, all that needs to be done is to remove the REQUIRES from the Spec file and rebuild.

Comment 3 Gerald Cox 2016-05-10 18:39:36 UTC
Sorry, had a typo there:

Here is the corrected sentence:
No, bug 1312659 was about a dependency for ykclient 2.15 that I opened.  Bug 1318120 is about fallout caused by bug 1312659.  ykclient has now been upgraded.

Comment 4 Fedora Update System 2016-05-31 09:52:35 UTC
pam_yubico-2.22-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6b1a26de10

Comment 5 Fedora Update System 2016-05-31 09:52:52 UTC
pam_yubico-2.22-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2e19bc36ef

Comment 6 Fedora Update System 2016-05-31 09:53:05 UTC
pam_yubico-2.22-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-447da92569

Comment 7 Fedora Update System 2016-05-31 09:53:16 UTC
pam_yubico-2.22-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ae2468303f

Comment 8 Fedora Update System 2016-05-31 20:50:38 UTC
pam_yubico-2.22-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6b1a26de10

Comment 9 Fedora Update System 2016-05-31 20:53:03 UTC
pam_yubico-2.22-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ae2468303f

Comment 10 Fedora Update System 2016-05-31 20:54:56 UTC
pam_yubico-2.22-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-447da92569

Comment 11 Fedora Update System 2016-06-01 08:29:25 UTC
pam_yubico-2.22-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2e19bc36ef

Comment 12 Fedora Update System 2016-06-07 14:38:52 UTC
pam_yubico-2.22-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d121abcfb2

Comment 13 Fedora Update System 2016-06-07 14:39:13 UTC
pam_yubico-2.22-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e6f1e3081d

Comment 14 Fedora Update System 2016-06-07 14:39:25 UTC
pam_yubico-2.22-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-06b2c329a7

Comment 15 Fedora Update System 2016-06-07 14:39:36 UTC
pam_yubico-2.22-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-dbf8e71b1a

Comment 16 Fedora Update System 2016-06-07 14:39:48 UTC
pam_yubico-2.22-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-42d7108898

Comment 17 Fedora Update System 2016-06-07 18:53:15 UTC
pam_yubico-2.22-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d121abcfb2

Comment 18 Fedora Update System 2016-06-08 02:23:24 UTC
pam_yubico-2.22-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-06b2c329a7

Comment 19 Fedora Update System 2016-06-08 02:23:46 UTC
pam_yubico-2.22-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e6f1e3081d

Comment 20 Fedora Update System 2016-06-08 05:47:56 UTC
pam_yubico-2.22-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-dbf8e71b1a

Comment 21 Fedora Update System 2016-06-08 05:48:41 UTC
pam_yubico-2.22-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-42d7108898

Comment 22 Fedora Update System 2016-06-15 13:25:22 UTC
pam_yubico-2.23-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-86a7069446

Comment 23 Fedora Update System 2016-06-15 13:25:46 UTC
pam_yubico-2.23-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c20c1235f2

Comment 24 Fedora Update System 2016-06-15 13:26:02 UTC
pam_yubico-2.23-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a08da9fef1

Comment 25 Fedora Update System 2016-06-15 13:26:15 UTC
pam_yubico-2.23-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1f44279a51

Comment 26 Fedora Update System 2016-06-15 13:26:31 UTC
pam_yubico-2.23-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7b27797fa4

Comment 27 Fedora Update System 2016-06-15 16:55:50 UTC
pam_yubico-2.23-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1f44279a51

Comment 28 Fedora Update System 2016-06-15 17:24:36 UTC
pam_yubico-2.23-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7b27797fa4

Comment 29 Fedora Update System 2016-06-15 17:27:07 UTC
pam_yubico-2.23-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a08da9fef1

Comment 30 Fedora Update System 2016-06-16 15:18:40 UTC
pam_yubico-2.23-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c20c1235f2

Comment 31 Fedora Update System 2016-06-16 15:19:08 UTC
pam_yubico-2.23-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-86a7069446

Comment 32 Fedora Update System 2016-06-23 17:54:23 UTC
pam_yubico-2.23-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 33 Fedora Update System 2016-06-24 01:51:00 UTC
pam_yubico-2.23-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 34 Fedora Update System 2016-06-24 01:56:26 UTC
pam_yubico-2.23-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 35 Fedora Update System 2016-07-02 16:19:28 UTC
pam_yubico-2.23-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 36 Fedora Update System 2016-07-02 23:49:40 UTC
pam_yubico-2.23-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.